<script lang="ts">
    import { page } from '$app/stores'

    export let label: string
    export let href: string

    let isCurrent: boolean
    $: isCurrent = $page.path === href
</script>

<li class:active={isCurrent}>
    <a aria-current={isCurrent ? 'page' : undefined} {href}>{label}</a>
</li>

<style lang="postcss">
    li {
        @apply text-white text-opacity-90 border-b-2 border-transparent cursor-pointer transition-colors duration-200 ease-out;

        a {
            @apply block transition duration-200 ease-out opacity-75 pb-2;
        }

        &:hover,
        &.active {
            @apply border-indigo-400;

            a {
                @apply opacity-100;

                &:not([aria-current]) {
                    @apply transform translate-x-2;
                }
            }
        }
    }
</style>
